extends ../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/amcharts.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/serial.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/radar.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/pie.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/plugins/tools/polarScatter/polarScatter.min.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/plugins/animate/animate.min.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/plugins/export/export.min.js' type='text/javascript')
    script(src='//www.amcharts.com/lib/3/themes/light.js' type='text/javascript')
    script(src='https://cdn.plot.ly/plotly-latest.js' type='text/javascript')
    script(src='/css/demo/default/custom/components/charts/amcharts/charts.js' type='text/javascript')
    script.
        var dataProvider = JSON.parse(("#{chartData.chart}").replace(/&quot;/g,'"'));
        if (dataProvider && dataProvider.length > 0) {

          var theEks = [];
          var theWhy = [];
          var theText = [];
          var theColors = [];
          for (var i = 0; i < dataProvider.length; i++) {
            theEks.push(dataProvider[i].date);
            theWhy.push(dataProvider[i].grade);
            theText.push(dataProvider[i].recommendation);
            theColors.push(dataProvider[i].color);
          }

          var trace1 = {
            x: theEks,
            y: theWhy,
            type: 'bar',
            text: theText,
            marker: {
              color: theColors
            }
          };

          var data = [trace1];

          var layout = {
            title: 'Publications',
            font: {
              family: 'Raleway, sans-serif'
            },
            showlegend: false,
            xaxis: {
              tickangle: -45
            },
            yaxis: {
              zeroline: false,
              gridwidth: 2
            },
            bargap: 0.05
          };

          Plotly.newPlot('publications', data, layout, { responsive: true });
        }

          var reviewData = JSON.parse(("#{reviewData.chart}").replace(/&quot;/g,'"'));
          if (reviewData !== undefined)  {
            theEksR = [];
            theWhyR = [];
            theTextR = [];
            theColorsR = [];
            for (var i = 0; i < reviewData.length; i++) {
              theEksR.push(reviewData[i].date);
              theWhyR.push(reviewData[i].grade);
              theTextR.push(reviewData[i].recommendation);
              theColorsR.push('#' + reviewData[i].color);
            }
            if (theEksR.length > 1) {
              var trace2 = {
                x: theEksR,
                y: theWhyR,
                mode: 'lines',
                text: theTextR,
                marker: {
                  color: theColorsR
                }
              };

              var layoutLine = {
                width: 1000,
                height: 600,
                title: 'Reviews',
                yaxis: {
                  fixedrange: true
                },
                xaxis: {
                  rangeslider: {}
                }
              };

              Plotly.newPlot('reviews', [trace2], layoutLine, {responsive: true});
            }
          }


    script.
      if('#{employee.role._id}' !== false || '#{employee.role._id}'.length > 1 || '#{employee.role._id}' !== undefined) {
          $('#m_select2_3').select2().val('#{employee.role._id}').trigger('change.select2');
      }

block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title Employee Details
                div
                    .m-dropdown.m-dropdown--inline.m-dropdown--arrow.m-dropdown--align-right.m-dropdown--align-push(m-dropdown-toggle='hover' aria-expanded='true')
                        a.m-portlet__nav-link.btn.btn-lg.btn-secondary.m-btn.m-btn--outline-2x.m-btn--air.m-btn--icon.m-btn--icon-only.m-btn--pill.m-dropdown__toggle(href='#')
                            i.la.la-plus.m--hide
                            i.la.la-ellipsis-h
                        .m-dropdown__wrapper
                            span.m-dropdown__arrow.m-dropdown__arrow--right.m-dropdown__arrow--adjust
                            .m-dropdown__inner
                                .m-dropdown__body
                                    .m-dropdown__content
                                        ul.m-nav
                                            li.m-nav__section.m-nav__section--first.m--hide
                                                span.m-nav__section-text Quick Actions
                                            li.m-nav__item
                                                a.m-nav__link(href='')
                                                    i.m-nav__link-icon.flaticon-share
                                                    span.m-nav__link-text Activity
        // END: Subheader
        .m-content
            .row
                .col-xl-3.col-lg-4
                    .m-portlet.m-portlet--full-height
                        .m-portlet__body
                            .m-card-profile
                                .m-card-profile__title.m--hide
                                    | Employee #{employee.profile.name}
                                .m-card-profile__details
                                    span.m-card-profile__name #{employee.profile.name}
                                    a.m-card-profile__email.m-link(href='') #{employee.email}
                            ul.m-nav.m-nav--hover-bg.m-portlet-fit--sides
                                li.m-nav__separator.m-nav__separator--fit
                                li.m-nav__section.m--hide
                                    span.m-nav__section-text Section
                                li.m-nav__item.m-nav__item--active
                                    a.m-nav__link.active(href='#m_user_profile_tab_1')
                                        i.m-nav__link-icon.flaticon-profile-1
                                        span.m-nav__link-title
                                            span.m-nav__link-text Details
                                li.m-nav__item
                                    a.m-nav__link(href='/activity')
                                        i.m-nav__link-icon.flaticon-share
                                        span.m-nav__link-text Activity
                                li.m-nav__item
                                    a.m-nav__link(href='/employee/' + employee._id + '/reviews')
                                        i.m-nav__link-icon.flaticon-list-1
                                        span.m-nav__link-text Reviews
                                li.m-nav__item
                                    a.m-nav__link(href='/employee/' + employee._id + '/publications')
                                        i.m-nav__link-icon.flaticon-list-2
                                        span.m-nav__link-text Publications
                            .m-portlet__body-separator
                .col-xl-9.col-lg-8
                    .m-portlet.m-portlet--full-height.m-portlet--tabs
                        .m-portlet__head
                            .m-portlet__head-tools
                                ul.nav.nav-tabs.m-tabs.m-tabs-line.m-tabs-line--left.m-tabs-line--primary(role='tablist')
                                    li.nav-item.m-tabs__item
                                        a.nav-link.m-tabs__link.active(data-toggle='tab' href='#m_user_profile_tab_1' role='tab')
                                            i.flaticon-share.m--hide
                                            | &#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;&#x9;Personal Details
                                    li.nav-item.m-tabs__item
                                        a.nav-link.m-tabs__link(data-toggle='tab' href='#m_user_profile_tab_2' role='tab')
                                            | Reviews
                                    li.nav-item.m-tabs__item
                                        a.nav-link.m-tabs__link(data-toggle='tab' href='#m_user_profile_tab_3' role='tab')
                                            | Publications
                        .tab-content
                            #m_user_profile_tab_1.tab-pane.active
                                form(action='/employee/' + employee._id + '/update' method='POST').m-form.m-form--fit.m-form--label-align-right
                                    .m-portlet__body
                                        .form-group.m-form__group.m--margin-top-10.m--hide
                                            .alert.m-alert.m-alert--default(role='alert')
                                                | The example form below demonstrates common HTML form elements that receive updated styles from Bootstrap with additional classes.
                                        .form-group.m-form__group.row
                                            .col-10.ml-auto
                                                h3.m-form__section Personal Details
                                        .form-group.m-form__group.row
                                            label.col-2.col-form-label(for='employeeName') Full Name
                                            .col-7
                                                input#employeeName.form-control.m-input(type='text' name="name" value=employee.profile.name)
                                                input(type='hidden', name='_csrf', value=_csrf)
                                                input(type='hidden', name='email', value=employee.email)
                                                span.m-form__help Name must contain at least 3 characters, please provide a full name here.
                                        .form-group.m-form__group.row
                                            label.col-2.col-form-label(for='employeePhone') Phone Number
                                            .col-7
                                                input#employeePhone.form-control.m-input(type='text' name="phone" value=employee.profile.phone)
                                                span.m-form__help Phone number must be in numeric format, usually more then 6 digits
                                        .form-group.m-form__group.row
                                            label.col-2.col-form-label(for='m_select2_3_validate') Gender
                                            .col-7
                                                select#m_select2_3_validate.form-control.m-select2(name='gender')
                                                    option(value='Male' selected='selected') Male
                                                    option(value='Female') Female
                                        .m-form__seperator.m-form__seperator--dashed.m-form__seperator--space-2x
                                        .form-group.m-form__group.row
                                            label.col-2.col-form-label(for='m_select2_3') Role
                                            .col-7
                                                select#m_select2_3.form-control.m-select2(name='role')
                                                    each role in roles
                                                        option(value=role._id) #{role.name}
                                    .m-portlet__foot.m-portlet__foot--fit
                                        .m-form__actions
                                            .row
                                                .col-2
                                                .col-7
                                                    button.btn.btn-accent.m-btn.m-btn--air.m-btn--custom(type='submit') Save changes
                                                    button.btn.btn-secondary.m-btn.m-btn--air.m-btn--custom(type='reset') Cancel
                            #m_user_profile_tab_2.tab-pane
                                #reviewContent.m-content
                                    if (reviewData.length === 0 || reviewData.length < 2)
                                        .alert.alert-warning.m-alert.m-alert--icon.m-alert--air.m-alert--square.m--margin-bottom-30(role='alert')
                                            .m-alert__icon
                                                i.la.la-danger
                                            .m-alert__text
                                                | There are no reviews (or only one review) for this employee, please review an employee later.
                                            .m-alert__close
                                                button.close(type='button' data-dismiss='alert' aria-label='Close')
                                    .alert.alert-info.m-alert.m-alert--icon.m-alert--air.m-alert--square.m--margin-bottom-30(role='alert')
                                        .m-alert__icon
                                            i.la.la-info
                                        .m-alert__text
                                            | Reviews line chart based on grading of all time
                                        .m-alert__close
                                            button.close(type='button' data-dismiss='alert' aria-label='Close')
                                    .row
                                        .col-lg-12
                                            .m-portlet
                                                .m-portlet__head
                                                    .m-portlet__head-caption
                                                        .m-portlet__head-title
                                                            span.m-portlet__head-icon.m--hide
                                                                i.la.la-gear
                                                            h3.m-portlet__head-text
                                                                | Reviews Chart
                                                .m-portlet__body(style='width:100%; height:600px;')
                                                    #reviews
                            #m_user_profile_tab_3.tab-pane
                                .m-content
                                    if (chartData.length === 0)
                                        .alert.alert-warning.m-alert.m-alert--icon.m-alert--air.m-alert--square.m--margin-bottom-30(role='alert')
                                            .m-alert__icon
                                                i.la.la-warning
                                            .m-alert__text
                                                | There are no publications for this employee, please grade an employee.
                                            .m-alert__close
                                                button.close(type='button' data-dismiss='alert' aria-label='Close')
                                    .alert.alert-info.m-alert.m-alert--icon.m-alert--air.m-alert--square.m--margin-bottom-30(role='alert')
                                        .m-alert__icon
                                            i.la.la-info
                                        .m-alert__text
                                            | Publications chart based on grading of all time
                                        .m-alert__close
                                            button.close(type='button' data-dismiss='alert' aria-label='Close')
                                    .row
                                        .col-lg-12
                                            .m-portlet
                                                .m-portlet__head
                                                    .m-portlet__head-caption
                                                        .m-portlet__head-title
                                                            span.m-portlet__head-icon.m--hide
                                                                i.la.la-gear
                                                            h3.m-portlet__head-text
                                                                | Publications Chart
                                                .m-portlet__body
                                                    #publications(style='height:500px;')
